summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreroen2014-03-08 17:57:47 (GMT)
committereroen2014-03-08 19:03:55 (GMT)
commit2feb849b1f328e700cf05d5e47694ae8a7a9ce71 (patch)
tree8ebb3af1dd05693f9340ede4bc5b07f9874e547d
parentd783aee40c1053837d17f65449b2ad91e9c46dff (diff)
downloaderoen-overlay-2feb849b1f328e700cf05d5e47694ae8a7a9ce71.tar.gz
eroen-overlay-2feb849b1f328e700cf05d5e47694ae8a7a9ce71.tar.bz2
eroen-overlay-2feb849b1f328e700cf05d5e47694ae8a7a9ce71.tar.xz
isso - build r.js
-rw-r--r--www-apps/isso/isso-9999.ebuild25
1 files changed, 16 insertions, 9 deletions
diff --git a/www-apps/isso/isso-9999.ebuild b/www-apps/isso/isso-9999.ebuild
index 4137082..5b5de30 100644
--- a/www-apps/isso/isso-9999.ebuild
+++ b/www-apps/isso/isso-9999.ebuild
@@ -61,9 +61,11 @@ if [[ ${PV} == *9999* ]]; then
net-libs/nodejs
doc? ( dev-python/sphinx )"
fi
-DEPEND="${HDEPEND}
- test? ( dev-python/nose[${PYTHON_USEDEP}]
+DEPEND="${HDEPEND}"
+if [[ ${PV} == *9999* ]]; then
+ DEPEND+=" test? ( dev-python/nose[${PYTHON_USEDEP}]
${LIBDEPEND} )"
+fi
RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
${LIBDEPEND}"
@@ -91,9 +93,6 @@ src_unpack() {
mkdir -p "${S}"/isso/js/components/{requirejs-text,almond} || die
cp "${WORKDIR}"/text.git/text.js "${S}"/isso/js/components/requirejs-text/ || die
cp "${WORKDIR}"/almond.git/almond.js "${S}"/isso/js/components/almond/ || die
-
- # TODO: Consider building r.js
- cp "${WORKDIR}"/r.js.git/dist/r.js "${S}"/bin/ || die
else
default
fi
@@ -101,13 +100,21 @@ src_unpack() {
src_compile() {
if [[ ${PV} == *9999* ]]; then
+ # build r.js
+ pushd "${WORKDIR}"/r.js.git 2>/dev/null
+ node dist.js || die
+ popd 2>/dev/null
+ local RJS=${WORKDIR}/r.js.git/r.js
+
+ # generate css
scss isso/css/isso.scss isso/css/isso.css || die
- node bin/r.js -o isso/js/build.embed.js || die
- node bin/r.js -o isso/js/build.count.js || die
+ # generate js using r.js
+ node "${RJS}" -o isso/js/build.embed.js || die
+ node "${RJS}" -o isso/js/build.count.js || die
if use debug; then
- node bin/r.js -o isso/js/build.embed.js optimize="none" out="isso/js/embed.dev.js" || die
- node bin/r.js -o isso/js/build.count.js optimize="none" out="isso/js/count.dev.js" || die
+ node "${RJS}" -o isso/js/build.embed.js optimize="none" out="isso/js/embed.dev.js" || die
+ node "${RJS}" -o isso/js/build.count.js optimize="none" out="isso/js/count.dev.js" || die
fi
fi
distutils-r1_src_compile